Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynValueOperations

All Superinterfaces:
  DynAnyOperations, DynValueCommonOperations

All Known Subinterfaces:
  DynValue

public interface DynValueOperations
extends DynValueCommonOperations

Interface definition : DynValue

Author:
  OpenORB Compiler

Method Summary
`TCKind` | `current_member_kind()` Operation current_member_kind
`java.lang.String` | `current_member_name()` Operation current_member_name
`NameDynAnyPair[]` | `get_members_as_dyn_any()` Operation get_members_as_dyn_any
`NameValuePair[]` | `get_members()` Operation get_members
`void` | `set_members_as_dyn_any(NameDynAnyPair[] value)` Operation set_members_as_dyn_any
`void` | `set_members(NameValuePair[] value)` Operation set_members

Methods inherited from interface org.omg.DynamicAny.DynValueCommonOperations
`is_null, set_to_null, set_to_value`

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`assign, component_count, copy, current_component, destroy, equal, from_any, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### current_member_name

    public java.lang.String current_member_name()
                                         throws TypeMismatch,
                                                InvalidValue

  Operation current_member_name

### current_member_kind

    public TCKind current_member_kind()
                               throws TypeMismatch,
                                      InvalidValue

  Operation current_member_kind

### get_members

    public NameValuePair[] get_members()

  Operation get_members

### set_members

    public void set_members(NameValuePair[] value)
                     throws TypeMismatch,
                            InvalidValue

  Operation set_members

### get_members_as_dyn_any

    public NameDynAnyPair[] get_members_as_dyn_any()

  Operation get_members_as_dyn_any

### set_members_as_dyn_any

    public void set_members_as_dyn_any(NameDynAnyPair[] value)
                                throws TypeMismatch,
                                       InvalidValue

  Operation set_members_as_dyn_any

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD